# 6.BuildUtil

{% code overflow="wrap" %}

```yaml
#Example ONLY
#WARNING: DO NOT USE THIS TO INSTALL STUFF LIKE GIT as that is known not to work as static binary
#This should only be used for static bins, (use build_dep instead CURRENTLY NOT IMPLEMENTED)
#soar will add these using soar dl temporarily in cache prior to running the x_exec part
#if these are already installed/cached by soar, soar will skip them (Unless Upgrade is found)
build_util:
  - "curl" #for web stuff
  - "jq" #for parsing json
  - "ouch" #to extract archives easily without remembering flags
```

{% endcode %}

* [x] This is Optional & can be left empty or removed completely (**TYPE**:<mark style="color:blue;">**`NON_ENFORCED`**</mark>)
* [x] This can be used to pull in [**`Static Binaries`**](/formats/binaries/static.md) if some extra tools are being used

{% hint style="info" %}
**Use this only if your distro doesn't provide it**, or **you need the latest version of a tool**
{% endhint %}

* [x] Can have single or multiple entries


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pkgforge.dev/sbuild/specification/6.buildutil.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
